<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
export default {
  name: "Version",
  components: {
    MainDialog
  },
  data() {
    return {
      dialogState: false,
      dialogState1: false,
      dialogState2: false,
      dialogState3: false,
      dialogBottomArr: [
        { name: "确定", color: "#4293EE" },
        { name: "取消", color: "#000000" },
      ],
    }
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <u-card :padding="43" shadow left-text="车辆版本" right-text="升级" right-text-color="#4293EE" @onClick="dialogState = true" />
      <u-card :padding="43" shadow left-text="多媒体详情" right-text="查看" right-text-color="#4293EE" @onClick="dialogState1 = true" />

      <div class="card-group">
        <u-card :padding="43" left-text="恢复出厂设置" right-text="恢复" right-text-color="#4293EE" @onClick="dialogState3 = true"/>
        <u-card :padding="43" left-text="所有设置项恢复出厂设置" right-text="恢复" right-text-color="#4293EE" @onClick="dialogState2 = true" />
      </div>
    </div>

    <img
      src="../../assets/images/setting/img_6.webp"
      alt=""
      class="img-signal"
    />

    <MainDialog
      :dialogVisible="dialogState"
      @changeVisble="e => dialogState = e"
      title="温馨提示"
      :bottomArray="[{ name: '好的', color: '#000000' }]"
    >
      <template #content>
        <div class="dialog-font">小迪正在为您检查整车版本信息，请稍等。</div>
      </template>
    </MainDialog>
    <MainDialog
      :dialogVisible="dialogState1"
      @changeVisble="e => dialogState1 = e"
      title="多媒体详情"
      :bottomArray="[{ name: '确定', color:'#4293EE' }]"
    >
      <template #content>
        <div class="dialog-font2">
          <div>系统版本：1.1.2.2208160.1</div>
          <div>IMEI:868464051509650</div>
          <div>ICCID:898608071922D0000000</div>
          <div>控制器版本：21.1.2.2.2208160.2.21.2.2.2112000.0</div>
          <div>本机号码：14878070000</div>
          <div>硬件版本：V31.E34.00.32.00</div>
          <div>音响版本：4.50.30</div>
          <div>OSD硬件版本：V05.05</div>
          <div>OSD硬件版本：4.1.1.2206090.1-4.1.1.2206090.2</div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      :dialogVisible="dialogState2"
      @changeVisble="e => dialogState2 = e"
      title="所有设置项恢复出厂设置"
      :bottomArray="dialogBottomArr"
    >
      <template #content>
        <div class="dialog-font3">
          <div class="dialog-font3-item">
            <div class="dialog-font3-item-left">
              <div class="checkmark"></div>
            </div>
            <div class="dialog-font3-item-right">DiLink</div>
          </div>
          <div class="dialog-font3-item">
            <div class="dialog-font3-item-left">
              <div class="checkmark"></div>
            </div>
            <div class="dialog-font3-item-right">DiPilot</div>
          </div>
          <div class="dialog-font3-item">
            <div class="dialog-font3-item-left">
              <div class="checkmark"></div>
            </div>
            <div class="dialog-font3-item-right">新能源</div>
          </div>
          <div class="dialog-font3-item">
            <div class="dialog-font3-item-left">
              <div class="checkmark"></div>
            </div>
            <div class="dialog-font3-item-right">车辆设置</div>
          </div>
          <div class="dialog-font3-item">
            <div class="dialog-font3-item-left">
              <div class="checkmark"></div>
            </div>
            <div class="dialog-font3-item-right">车辆健康</div>
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      :dialogVisible="dialogState3"
      @changeVisble="e => dialogState3 =e"
      title="恢复出厂设置"
      :bottomArray="dialogBottomArr"
    >
      <template #content>
        <div class="dialog-font4">确认把本机状态恢复到出厂状态？</div>
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.custom-body {
  display: flex;
  width: 694px;
  overflow: auto;

  .card-body {
    flex-grow: 1;

    .card-group {
      border-radius: 20px;
      box-shadow: 0 0 10px 7px rgba(0, 0, 0, 0.03);
      background: #FFFFFF;

      .card-container {
        margin-bottom: 0;
      }
    }

    .card-container {
      margin-bottom: 15px;
    }

    img {
      width: 100%;
    }
  }
}

.img-signal {
  width: 771px;
  height: 608px;
  position: absolute;
  right: 44px;
  top: 211px;
}

.dialog-font {
  margin-top: 90px;
  margin-bottom: 127px;
  font-size: 30px;
  font-weight: 400;
}

.dialog-font2 {
  width: 100%;
  font-size: 28px;
  font-weight: 400;
  color: #686b6e;
  padding-bottom: 30px;
}

.dialog-font3 {
  margin-top: 35px;
  width: 100%;

  .dialog-font3-item {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 250px;
    margin: 0 auto 60px;

    .dialog-font3-item-left {
      width: 38px;
      height: 39px;
      background: linear-gradient(89deg, #52b4e2 0%, #4799f2 100%);
      border-radius: 5px 5px 5px 5px;
      display: flex;
      align-items: center;
      justify-content: center;
      position: relative;
      margin-right: 10px;

      .checkmark {
        width: 38px;
        height: 39px;
        position: relative;
        border-radius: 50%;
        margin-bottom: 5px;

        &:after {
          content: "";
          position: absolute;
          top: 50%;
          left: 50%;
          width: 10px;
          height: 20px;
          transform: translate(-50%, -50%) rotate(45deg) rotateY(180deg);
          border: 3px solid #fff; /* 勾的颜色 */
          border-top: none;
          border-right: none;
        }
      }
    }

    .dialog-font3-item-right {
      color: #4192ee;
      line-height: 35px;
      font-size: 30px;
    }
  }
}

.dialog-font4 {
  height: 141px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  font-weight: 400;
  color: #000000;
}
</style>